%define __noautoreq 'libcrypto(.*)|libcurl(.*)'

%define debug_package %{nil}

%define oversion 205

Summary:	Sony PlayStation emulator
Name:		epsxe
Version:	2.0.5
Release:	3
License:	Freeware
Group:		Emulators
Url:		http://www.epsxe.com
Source0:	http://www.epsxe.com/files/ePSXe%{oversion}linux.zip
Source1:	%{name}-2.0-plugins.tar.bz2
Source2:	%{name}-start
Requires:	libcurl4
# Force 32-bit pango modules for now to fix font rendering on x86_64 systems
Requires:	libpango-modules1.0
ExclusiveArch:	%{ix86}

%description
Great Sony PlayStation emulator. Requires a BIOS image. Includes the best
external plugins (in addition to internal ones):

GPU P.E.Op.S. MesaGL 1.78
GPU P.E.Op.S. SoftX 1.18
GPU Pete's XGL2 2.9

%files
%{_bindir}/%{name}-start
%{_libdir}/%{name}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

#----------------------------------------------------------------------------

%prep
%setup -qcn ePSXe%{oversion}linux -a1

%build

%install
install -D -m 0755 %{SOURCE2} %{buildroot}%{_bindir}/%{name}-start
install -D -m 0644 %{name}.png %{buildroot}%{_datadir}/pixmaps/%{name}.png
install -D -m 0755 ePSXe %{buildroot}%{_libdir}/%{name}/%{name}
install -D -m 0644 keycodes.lst %{buildroot}%{_libdir}/%{name}/keycodes.lst
cp -r cfg %{buildroot}%{_libdir}/%{name}/
cp -r docs %{buildroot}%{_libdir}/%{name}/
cp -r extra %{buildroot}%{_libdir}/%{name}/
cp -r plugins %{buildroot}%{_libdir}/%{name}/
cp -r shaders %{buildroot}%{_libdir}/%{name}/

# install menu entry
mkdir -p %{buildroot}%{_datadir}/applications/
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=ePSXe
Comment=Sony PlayStation Emulator
Exec=/usr/bin/%{name}-start
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;Emulator;
EOF

%changelog

* Wed Feb 15 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2.0.5-3
- (e156d06) MassBuild#1250: Increase release tag


